Skip to main content
GET
/
vendors
/
{vendorId}
/
findings
List vendor findings
curl --request GET \
  --url https://api.vanta.com/v1/vendors/{vendorId}/findings \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "66bb83e06c54dc42afedb174",
        "vendorId": "66bb83dc14f5709efe418859",
        "securityReviewId": "66bb83977ffe63d2c54d6711",
        "documentId": null,
        "content": "This vendor has not performed a penetration test in the past 15 months.",
        "riskStatus": "REMEDIATE",
        "remediation": {
          "requirementNotes": "We need them to provide an updated penetration test report.",
          "state": "OPEN"
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "6696ea0595df50d5cd6ec3b7",
      "endCursor": "6696ece48eb1f98ff3d927c6"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

securityReviewId
string

Filter findings by security review ID

documentId
string

Filter findings by document ID

Response

200 - application/json

Ok

results
object
required